DECLARE FUNCTION GetBaud (CommPort%)

CLS
Baud = GetBaud(1)
PRINT Baud

FUNCTION GetBaud (CommPort%)

IF CommPort% = 1 THEN
    b% = &H3F8
ELSEIF CommPort% = 2 THEN
    b% = &H2F8
END IF

 dlab% = INP(b% + 3)
 dlab% = dlab% OR 128
 OUT b% + 3, dlab%
 lsb% = INP(b%)
 msb% = INP(b% + 1)
 divisor% = (msb% * 255) + lsb%
 dlab% = dlab% AND 127
 OUT b% + 3, dlab%

 SELECT CASE divisor%
  CASE 383
   GetBaud = 300
  CASE 96
   GetBaud = 1200
  CASE 48
   GetBaud = 2400
  CASE 24
   GetBaud = 4800
  CASE 12
   GetBaud = 9600
 END SELECT

END FUNCTION

